[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'db' (#fcl)

# TGetMode

Get new buffer mode

## Declaration

Source position: db.pas line 1250

`type TGetMode = (`
`gmCurrent,` |  | Retrieve the current record
`gmNext,` |  | Retrieve the next record.
`gmPrior` |  | Retrieve the previous record.
`);`

## Description

TGetMode is used internally by TDataset when it needs to fetch more data for its buffers (using GetRecord). It tells the descendent dataset what operation must be performed.

## See also

TDataset.Next |  | Go to the next record in the dataset.
TDataset.Prior |  | Go to the previous record
TGetResult |  | result of the GetRecord operation.

The latest version of this document can be found at lazarus-ccr.sourceforge.net .